Subject: bug#18237: closed (Re: bug#18237: Small fix for MSDOS)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 10 Aug 2014 18:43:03 +0000

Your bug report

#18237: Small fix for MSDOS

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18237: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18237
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18237: Small fix for MSDOS
From: Reuben Thomas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Sun, 10 Aug 2014 19:42:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 10 August 2014 19:26, Eli Zaretskii <[email-masked]> wrote:

>
> I'd prefer that all the changes for such a build be committed at once
> together, not bit by bit, and only if you eventually succeed to
> produce a working binary using this method.
>

Sorry, I was trying to separate my patch into parts with different
implications (e.g. no effect on the current DOS build system; some effect
on that system but not more generally; more general changes); but instead
I'll concentrate on producing a single patch that, as you say, results in a
working binary.

>  > I think you're also saying that I should test both HAVE_SELECT &&
> > HAVE_SYS_SELECT_H therefore?
>
> Yes, at the very least.

Noted.

>  But let's delay this until you have gone all
> the way to building Emacs using this method.  We won't know all of the
> implications until you do.
>

Sure, OK.

I am closing this bug; since you diagnosed my other patch submission as a
more general bug in configuration, I'll look into a fix for it at that
level.

-- 
http://rrt.sc3d.org

Subject: Small fix for MSDOS
From: Reuben Thomas <[email-masked]>
To: bug-emacs <[email-masked]>
Date: Sun, 10 Aug 2014 17:40:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

The following patch helps in the case when a sockets library is installed;
in my case, ls080b.zip from the DJGPP site:

=== modified file 'src/msdos.c'
--- src/msdos.c    2014-08-09 16:12:33 +0000
+++ src/msdos.c    2014-08-09 21:51:56 +0000
@@ -4016,7 +4017,7 @@
 #endif

-#ifndef HAVE_SELECT
+#ifndef HAVE_SYS_SELECT_H
 #include "sysselect.h"

 /* This yields the rest of the current time slice to the task manager.

The reasoning is that having select doesn't imply having the sys/select.h
functionality that the following code emulates.

Does that look OK to install?

-- 
http://rrt.sc3d.org